<?php
namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;

class crm00004000LeadEvolucaoController extends TeknisaCrud
{
    protected $dataSourceName = 'evolcont_crm_candidato';
    protected $primaryKey = 'NRSEQEVOLCONT';
    protected $environment;
    //protected $CDCONTADOR = 'EVOLCONT';

     public function __construct ($crudService, $parameterBag, $environment)
    {
        $this->environment = $environment;

        parent::__construct($crudService, $parameterBag);
    }

     public function save(DTO\Request $request, DTO\Response $response) {
    	foreach($request->getDataSet()->getRows() as $row) {
            if ($row['__is_new']) {

                $row['__new_code_pk'] = "EVOLCONT";
                $row['__table_pk'] = "NRSEQEVOLCONT";
                $row['__cast_number'] = true;
                $row['__new_code_length'] = 20;
                $row['__columns_to_return'] = array("NRSEQEVOLCONT");
                
            }else{
                //se for update salva com datasource diferente(Registros duplicados atrapalhavam a rotina de save)
                $this->dataSourceName = 'evolucao';
            }
            $row['CDFILIAL'] = $this->environment->getCdFilial();
        }
    	parent::save($request, $response);
        $response->addDataset(new DataSet('DADOS', $this->crudService->getColumnsToReturn()));
    }
}
?>