window.templateUrl = "./bower_components/zeedhi-frontend/templates/dyman/";
window.serviceUrl = "../backend/index.php";
window.metadataUrl = "assets";
window.lang = "pt_br";
window.inDeveloperMode = false;
window.templateUrls = [
    {
		package: "default",
	 	baseUrl: "bower_components/zeedhi-frontend/templates/dyman/"
	},
	{
		package: "zh-charts",
		baseUrl: "bower_components/zh-charts/dist/templates/"
	},
    {
        package: "zh-reports",
        baseUrl: "bower_components/zh-reports/dist/templates/"
    },
    {
        package: "zh-interval-component",
        baseUrl: "bower_components/zh-interval-component/dist/templates/"
    },
    {
        package: "zh-rich-text",
        baseUrl: "bower_components/zh-rich-text/dist/templates/"
	},
	{
        package: "zh-scheduler",
        baseUrl: "bower_components/zh-scheduler/dist/templates/"
	},
	{
		package: "zh-charts",
		baseUrl: "bower_components/zh-charts/dist/templates/"
	},
	{
        package: 'kanbanTicket',
        baseUrl: 'crm_templates/templates/'
    },
	{
        package: 'password-component',
        baseUrl: 'crm_templates/templates/'
    },
    {
	    package: 'zh-select-autocomplete',
	    baseUrl: 'bower_components/zh-select-autocomplete/dist/templates/'
	},
	{
        package: 'text-with-native',
        baseUrl: 'crm_templates/templates/'
    },
    {
        package: 'between',
        baseUrl: 'crm_templates/templates/'
    },
    {
        package: 'field-tag',
        baseUrl: 'crm_templates/templates/'
    },
    {
        package: 'zh-image-uploader',
        baseUrl: 'bower_components/zh-image-uploader/dist/templates/'
    },
    {
        package: 'steps',
        baseUrl: 'crm_templates/templates/'
    },
    {
        package: 'button-multiple',
        baseUrl: 'crm_templates/templates/'
    },
    {
        package: "zh-filter-preferences",
        baseUrl: "bower_components/zh-filter-preferences/dist/templates/"
    },
    {
        package: "zh-layout-preferences",
        baseUrl: "bower_components/zh-layout-preferences/dist/templates/"
    },
    {
        package: "zh-view-preferences",
        baseUrl: "bower_components/zh-view-preferences/dist/templates/"
    },
    {
        package: "zh-grid-configuration",
        baseUrl: "bower_components/zh-grid-configuration/dist/templates/"
    }
];

var pkg = {
	"product": "/assets/",
    "modules": "/assets/",
    
    
    
	"zeedhiFramework": "./bower_components/zeedhi-frontend/assets",
	
	"lib": "./bower_components/tek-libraries",
	
	"zhuacl": "./bower_components/zhuaclfrontend/assets",
	"zhulog": "./bower_components/zhulog/assets",
	
	"acl": "/acl/assets/",
	"cadFis": "/workfolder/crm/modules/cadFis/mobile/assets/",
	"login" : "/login/assets/",
	
	"zh-preferences"       : "./bower_components/zh-preferences/dist/assets/",
    "zh-filter-preferences": "./bower_components/zh-filter-preferences/dist/assets/",
    "zh-layout-preferences": "./bower_components/zh-layout-preferences/dist/assets/",
    "zh-view-preferences"  : "./bower_components/zh-view-preferences/dist/assets/"
};

var libBackend = window.location.href.search('acl#') === -1 ? "../backend/index.php" : "../backend_acl/index.php";
var metadataUrls = [];
var serviceUrls = [];
var pkgBaseUrls = {
	product: "../backend/index.php",
	lib: libBackend,
	acl: "../backend_acl/index.php",
	zhulog: "../backend_acl/index.php",
	login: "../backend_login/index.php",
	
	"zh-preferences"       : "../backend/index.php" + '/zh-preferences',
    "zh-filter-preferences": "../backend/index.php" + '/zh-preferences',
    "zh-layout-preferences": "../backend/index.php" + '/zh-preferences',
    "zh-view-preferences"  : "../backend/index.php" + '/zh-preferences',
    default: window.serviceUrl
};

for (var key in pkg) {
	metadataUrls.push({
		"package": key,
		"baseUrl": pkg[key]
	});
	var keyPkg = key.split('_')[0];
	var realBaseKey = pkgBaseUrls.hasOwnProperty(keyPkg) ? keyPkg : 'default';
	serviceUrls.push({
		"package": key,
		"baseUrl": pkgBaseUrls[realBaseKey]
	});
}

window.metadataUrls = metadataUrls;
window.serviceUrls = serviceUrls;

window.lang = 'pt_br';
window.projectId = 914;
window.applicationVersion = '4.17.0';

window.docsUrl = "../bower_components/zeedhi-frontend/docs/dyman/";

window.cssUrl = "/crm/mobile/assets/css/crm.css";
window.cssStyle = "inflightor";

window.fileServerBaseUrl = "http://midia.teknisa.com/files/";

window.defaultUserImageUrl = "/assets/images/user.jpg";

window.googleClientId = "481162667197-u1dndnb1h3aaia7f44kf2sq3om7k19an.apps.googleusercontent.com";
window.googleApiKey = "AIzaSyC1AoBXgXLbGY86xZ6t3JGb7QgDq7Uh_Cc";
window.showFullOperatorWindow = true;